/* $Id: jobs.h,v 1.1.1.1 2004/11/06 01:16:47 x86man Exp $ */

#ifndef __JOBHEADER__
#define __JOBHEADER__

typedef struct JobItem
{
	long	thread_assigned;
	int	JobComplete;
	char 	*packet;
	struct	sockaddr *from;
	int	packetsize;
	struct  JobItem *prev;
	struct  JobItem *next;
	
} JobItem;

extern struct JobItem *FindFirstSlot();
extern struct JobItem *FindFirstJob(int threadid);
extern void ThreadWorker(int threadid);
extern void JobListMaintainer(int nThreads);
extern void StorageJob();
extern void AddJob(char *packet,long packetsize,struct sockaddr *from);
extern void CreateWorkers(int nThreads);
extern void WaitState();
extern void YieldCPU();
extern void WaitState();
extern struct JobItem *GetLastItem();
extern struct JobStorage *GetLastJob();

#define UNASSIGNED_JOB	-1  

#endif
