/* defaults.h,v 1.1.1.1 2004/07/22 22:44:50 x86man Exp */

#ifndef __FLOWDEFAULTS__
#define __FLOWDEFAULTS__

#define NETFLOWPORT	2055
#define LISTENADDR	"0.0.0.0"
#define DEFAULT_BINARYLOGFILE	"./netflow.db"
#define DEFAULT_TEXTLOGFILE	"./netflow.log"
#define DEFAULT_TRASHLOGFILE	"./netflow_trash.log"
#define DEFAULT_NTHREADS	4
#define MAX_THREADS		1024
#define DEFAULT_THROTTLE	50000

#define	THREAD_UNDEFINED	0
#define	THREAD_ALIVE		1
#define	THREAD_ENDED		2

#define THREAD_TYPE_UNDEFINED	0
#define THREAD_TYPE_WORKER	1
#define THREAD_TYPE_STORAGE	2
#define THREAD_TYPE_DISPATCHER	3

#define STORAGE_DELAY		500000
#define COMMIT_TRANSACTIONS	5000

#ifdef  HAVE_LIBMYSQLCLIENT
#define NETFLOWDB	"FLOWDB"
#define NETFLOWUSER	"collector"
#define MYSQLPORT	3306
#endif

#endif
